CorebanqCorebanq Developer Docs
Rolesv1

Update role

Update role details

PUT/v1/roles/{id}

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

id*string

id path parameter

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X PUT "https://example.com/v1/roles/string" \  -H "Content-Type: application/json" \  -d '{}'
{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "name": "string",
  "description": "string",
  "active": true,
  "system": true,
  "created_at": "2019-08-24T14:15:22Z",
  "updated_at": "2019-08-24T14:15:22Z"
}
{
  "code": "roles_m.invalid_role_name",
  "message": "Invalid role name"
}
{
  "code": "roles_m.cannot_modify_system_role",
  "message": "Cannot modify system role"
}
{
  "code": "roles_m.role_not_found",
  "message": "Role not found"
}